Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 18:03
All times are UTC - 4
 Forum index » Off-Topic Area » Security
Do i need to upgrade?
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [6 Posts]  
Author Message
TheYoungOne


Joined: 11 Feb 2012
Posts: 42

PostPosted: Fri 14 Sep 2012, 12:36    Post subject:  Do i need to upgrade?  

hello all

i know many people use old puppys but is this safe to do ? with other distros and os's you are told to keep up to date for security and such things.

im using slacko 5.3.3 and doubt i will upgrade when a new release comes out simply because it's not as easy as other distro's and os's and 5.3.3 works fine on my laptop.

this is more for peace of mind that puppy is different in this case and i can use a version that isn't the latest or supported.

take care
Back to top
View user's profile Send private message 
Flash
Official Dog Handler


Joined: 04 May 2005
Posts: 11120
Location: Arizona USA

PostPosted: Fri 14 Sep 2012, 16:23    Post subject:  

I think it depends mostly on what you use your computer for and how you use Puppy (full install, frugal install with Save file, from CD with Save file on hard disk, multisession DVD).

With a multisession DVD, for instance, Puppy runs entirely in RAM and nothing is saved anywhere until you tell Puppy to save. This means that whatever is in RAM stays in RAM - until you shut Puppy down, at which point it all simply disappears unless you save to the DVD. So there'd be no need to upgrade a multisession Puppy for security purposes. I'm assuming that you don't leave the computer on constantly.
Back to top
View user's profile Send private message 
TheYoungOne


Joined: 11 Feb 2012
Posts: 42

PostPosted: Sat 15 Sep 2012, 03:49    Post subject:  

i do have a frugal install but also a live usb with a save file so like a multi-session usb i guess. But i use the frugal one.

I don't really use it for anything that is worth anything. I don't do online banking, when i do i have a oldish wary live cd. Maybe i should make a new one. But as there isn't a need to upgrade a multi session dvd for security im presuming it goes the same for a live cd ?

I don't leave my laptop on all the time, seeing as it's quick to boot up there is no need. I might leave it on overnight if im downloading something.

so basically i should be alright ? especially if i start to use a multi session dvd ? then there is no need to upgrade for security reason ?

thanks for the reply and excuse the paranoia Razz
Back to top
View user's profile Send private message 
nooby

Joined: 29 Jun 2008
Posts: 10557
Location: SwedenEurope

PostPosted: Sat 15 Sep 2012, 06:55    Post subject:  

I've promised to not answer questions
due to me not knowing enough.

I would look for upgrading specific
programs that get exploited.

Such as Adobe flash in browser
and the browser itself and to not
have Java going by default and
to make use of NoScript and Adblock
and other such defense for malware
that comes through the browser.

Apart from that maybe one don't need
to update. Usually using frugal install
on the HD one can just add a new Directory
and keep the old frugal install and
the to skip upgrade one do a new install
instead and keep the old too for to allow
a new save file for the new frugal install.

Then one copy over the bookmarks and
settings and such manually?

But others can give details on such better than me.

use the link to google search of the puppy forum
in my signature and look for other threads that
comment on upgrading puppy

_________________
I use Google Search on Puppy Forum
not an ideal solution though
Back to top
View user's profile Send private message 
cthisbear

Joined: 29 Jan 2006
Posts: 3432
Location: Sydney Australia

PostPosted: Sat 15 Sep 2012, 08:28    Post subject:  

" I don't do online banking, when i do i have a oldish wary live cd. "

Works for me...mine is still Puppy 4.31


""""""""""

The trouble with many Windows users is that they
mix >>> Wanking and Banking.

Then the evil happens.

Chris.
Back to top
View user's profile Send private message 
TheYoungOne


Joined: 11 Feb 2012
Posts: 42

PostPosted: Sat 15 Sep 2012, 09:20    Post subject:  

haha ok guys thanks again


Quote:
I would look for upgrading specific
programs that get exploited.


I make sure of this Smile I wont upgrade puppy unless i have to for this reason then.

Stay well people
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 1 of 1 [6 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Off-Topic Area » Security
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0515s ][ Queries: 12 (0.0046s) ][ GZIP on ]